Ir para o conteúdo
Documentação do Endless

List project skills

GET
/projects/{project_id}/skills

Lists the project skills the caller can read. Scoped to the project named by project_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

project_id*string
Formatuuid

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/0191e5a2-9b3f-7f25-8c07-5e2d7b14a9c6/skills"
{  "skills": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "source": "built-in",      "author": "string",      "created_by_id": "string",      "project_scoped": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "file_paths": [        "string"      ],      "can_edit": true,      "is_knowledge": true    }  ]}